'use strict';

exports.__esModule = true;
exports.FieldProps = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FieldProps = exports.FieldProps = {
  name: _propTypes2.default.string.isRequired,
  value: _propTypes2.default.any,
  options: _propTypes2.default.any,
  component: _propTypes2.default.func,
  onFocus: _propTypes2.default.func,
  onChange: _propTypes2.default.func,
  onBlur: _propTypes2.default.func,
  validators: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    isValid: _propTypes2.default.func.isRequired,
    error: _propTypes2.default.func.isRequired
  })),
  validatorsOptions: _propTypes2.default.shape({
    multi: _propTypes2.default.bool
  }),
  asyncValidator: _propTypes2.default.func,
  asyncValidatorOptions: _propTypes2.default.shape({
    validateOn: _propTypes2.default.arrayOf(_propTypes2.default.string),
    validateAfterLocal: _propTypes2.default.bool
  })
};
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(FieldProps, 'FieldProps', 'E:/Projects/React/git/vb-react-form/src/field-props.js');
}();

;